<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Kasse</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous"/>
    <link rel="stylesheet" href="kasse.component.css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous"/>
  </head>

  <body>
    <header>
      <a class="card" routerLink="">
        <svg class="bi bi-list" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16">
          <path fill-rule="evenodd" d="M2.5 12a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5z"/>
        </svg>
        <span>Change Position</span>
      </a>
      <h2>Kasse</h2>
    </header>
    <div class="kasse-section">
      <div class="orders-container">
        <div *ngFor="let order of my_orders">
          <div class="single-order">
            <h4 class="text-center"> Order for {{ order.delivery.last_name }} wished for {{ order.deliver_at }}</h4>
            <mat-list>
              <mat-list-item *ngFor="let front_item of get_items_by_order(order)">
                <button mat-button [class.fried]="front_item.fried_roll" class="item-name"(click)="show_details(front_item)"><a *ngIf="front_item.quantity != 1">  {{ front_item.quantity }} x </a>{{front_item.item.name }}</button>
              </mat-list-item>
            </mat-list>
            <div class="btn-group" role="group" aria-label="Basic example">
              <button type="button" class="btn btn-warning" (click)="assign_time(order, 15)">15min</button>
              <button type="button" class="btn btn-warning" (click)="assign_time(order, 30)">30min</button>
              <button type="button" class="btn btn-warning" (click)="assign_time(order, 45)">45min</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
